# ETF 资产配置

`GET` `/v1/quote/etf-asset-allocation`

获取 ETF 资产配置，按元素类型分组：持仓、地区、资产类别与行业。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | ETF 代码，如 `QQQ.US`。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/etf-asset-allocation?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `info` | object[] | No | 资产配置分组（每种元素类型一组） |
| `└ report_date` | string | No | 报告日期，如 `20260601` |
| `└ asset_type` | integer | No | 本组的元素类型（持仓 / 地区 / 资产类别 / 行业） |
| `└ lists` | object[] | No | 本组的元素列表 |
| `└ ∟ name` | string | No | 元素名称 |
| `└ ∟ position_ratio` | string | No | 持仓占比，如 `0.0861114` |
| `└ ∟ name_locales` | string | No | 本地化名称（原始字符串，语言映射见 `name_locales_map`）。 |
| `└ ∟ name_locales_map` | object | No | 本地化名称（locale → 名称，如 `zh-CN` → `英伟达`） |
| `└ ∟ ∟ en` | string | No | 英文名称。 |
| `└ ∟ ∟ zh-CN` | string | No | 简体中文名称。 |
| `└ ∟ ∟ zh-HK` | string | No | 繁体中文名称。 |
| `└ ∟ code` | string | No | 证券代码（仅持仓），如 `NVDA` |
| `└ ∟ symbol` | string | No | 证券代码带市场后缀（仅持仓），如 `NVDA.US` |
| `└ ∟ holding_detail` | string | No | 持仓明细（仅持仓） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "info": [
      {
        "report_date": "20260601",
        "asset_type": "holdings",
        "lists": [
          {
            "name": "NVIDIA",
            "code": "NVDA",
            "position_ratio": "0.0861114",
            "symbol": "NVDA.US",
            "name_locales_map": {
              "zh-CN": "英伟达"
            }
          }
        ]
      }
    ]
  }
}
```
